libdevice User's Guide (PDF) - v6.5 (older) - Last updated August 1, 2014 - Send Feedback -

## 3.135. __nv_float2ull_ru

Prototype:

    i64 @__nv_float2ull_ru(float %f)

Description:

Convert the single-precision floating point value `x` to an unsigned 64-bit integer in round-up (to positive infinity) mode.

Returns:

Returns converted value.

Library Availability:

Compute 2.0: Yes

Compute 3.0: Yes

Compute 3.5: Yes